Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
main-page
/
zksync
/
batches
/
confirmed
List confirmed batches on the main page.
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/main-page/zksync/batches/confirmed \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "commit_transaction_hash": "<string>",
      "commit_transaction_timestamp": "2023-11-07T05:31:56Z",
      "execute_transaction_hash": "<string>",
      "execute_transaction_timestamp": "2023-11-07T05:31:56Z",
      "number": 1,
      "prove_transaction_hash": "<string>",
      "prove_transaction_timestamp": "2023-11-07T05:31:56Z",
      "timestamp": "2023-11-07T05:31:56Z",
      "transactions_count": 1
    }
  ]
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Response

List of confirmed ZkSync batches.

items
ZkSync.ConfirmedBatchListItem · object[]
required